org.apache.avro.compiler.specific

## Enum SpecificCompiler.FieldVisibility

- java.lang.Object
- - java.lang.Enum<SpecificCompiler.FieldVisibility>
  - - org.apache.avro.compiler.specific.SpecificCompiler.FieldVisibility

All Implemented Interfaces:
  Serializable, Comparable<SpecificCompiler.FieldVisibility>

Enclosing class:
  SpecificCompiler

    public static enum SpecificCompiler.FieldVisibility
    extends Enum<SpecificCompiler.FieldVisibility>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PRIVATE`
`PUBLIC`

### Method Summary

All Methods Static Methods Concrete Methods
`static SpecificCompiler.FieldVisibility` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpecificCompiler.FieldVisibility[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PUBLIC

    public static final SpecificCompiler.FieldVisibility PUBLIC

#### PRIVATE

    public static final SpecificCompiler.FieldVisibility PRIVATE

### Method Detail

#### values

    public static SpecificCompiler.FieldVisibility[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SpecificCompiler.FieldVisibility c : SpecificCompiler.FieldVisibility.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SpecificCompiler.FieldVisibility valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null